.blog{
    .all-articles{
        width: 85%;
        margin: 30px auto;
        display: flex;
        justify-content: center;
        gap: 20px;
        flex-wrap: wrap;

        .derniers_articles_item{
            width: calc((100% - 60px)/4);
            margin-bottom: 0;

            .derniers_articles_item_title a{
                white-space: normal;
                overflow-wrap: break-word; /* casse les mots longs si besoin */
                word-break: break-word;
            }
        }
    }

    .pagination{
        margin: 20px auto;
        display: flex;
        justify-content: center;
        align-items: center;
        color: var(--bleu);

        a{
        color: var(--bleu);
        }
        
        .page-numbers{
            border-bottom: transparent solid 5px;
            width: 20px;
            height: 20px;
            padding: 10px;
            display: flex;
            justify-content: center;
            align-items: center;
            font-size: 18px;  
        }
    
        .current, .page-numbers:hover{
            border-bottom: var(--bleu) solid 5px;
            text-decoration: none;
        }
    
    }
}

@media (max-width:1024px) {
    .blog{
        .all-articles{
            .derniers_articles_item{
                width: calc((100% - 40px)/3);
            }
        }
    }
}

@media (max-width:767px) {
    .blog{
        .all-articles{
            width: 95%;
            .derniers_articles_item{
                width: calc((100% - 20px)/2);

                .derniers_articles_item_texts_container{
                    padding: 15px;
                }

                .derniers_articles_item_date{
                    font-size: 11px;
                }

                .derniers_articles_item_title a{
                    font-size: 16px;
                }

                .voirplus{
                    font-size: 13px;
                }

                .faq-icon{
                    width: 13px;
                    height: 13px;
                }

            }
        }
    }
}